Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class MathmlConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.MathmlConverter

    public final class MathmlConverter

extends ConverterHelper

This class converts mathml nodes to LaTeX. (Actually it only converts the starmath annotation currently, if available).

Field Summary
`private boolean` | `bContainsFormulas`
`private StarMathConverter` | `smc`
`private org.w3c.dom.Node` | `theFormula`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`MathmlConverter(OfficeReader ofr, Config config, ConverterPalette palette)`

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`java.lang.String` | `convert(org.w3c.dom.Node settings, org.w3c.dom.Node formula)`
`private org.w3c.dom.Node` | `getFormula(org.w3c.dom.Node node)`
`boolean` | `handleDisplayEquation(org.w3c.dom.Node node, LaTeXDocumentPortion ldp)` Try to convert a paragraph as a display equation Currently a display equation is a paragraph which contains only whitespace + a single math object
`private int` | `parseDisplayFormula(org.w3c.dom.Node node, int nParserStatus)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### smc

    private StarMathConverter smc

### bContainsFormulas

    private boolean bContainsFormulas

### theFormula

    private org.w3c.dom.Node theFormula

Constructor Detail

### MathmlConverter

    public MathmlConverter(OfficeReader ofr,
                           Config config,
                           ConverterPalette palette)

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `ConverterHelper`

### convert

    public java.lang.String convert(org.w3c.dom.Node settings,
                                    org.w3c.dom.Node formula)

### handleDisplayEquation

    public boolean handleDisplayEquation(org.w3c.dom.Node node,
                                         LaTeXDocumentPortion ldp)

  Try to convert a paragraph as a display equation

  Currently a display equation is a paragraph which contains only whitespace + a single math object

  Parameters:
    `node` - the paragraph
    `ldp` - the LaTeXDocumentPortion to contain the converted equation
  Returns:
    true if the conversion was succesful, false if the paragraph did not contain a display equation

### parseDisplayFormula

    private int parseDisplayFormula(org.w3c.dom.Node node,
                                    int nParserStatus)

### getFormula

    private org.w3c.dom.Node getFormula(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD